# Package org.omg.CORBA.DynAnyPackage

Provides the exceptions used with the `DynAny` interface (`InvalidValue`, `Invalid`, `InvalidSeq`, and `TypeMismatch`).

See: Description

Exception Summary
Exception | Description
--- | ---
Invalid | Invalid is thrown by dynamic any operations when a bad `DynAny` or `Any` is passed as a parameter.
InvalidSeq | The InvalidSeq exception is thrown by all operations on dynamic anys that take a sequence (Java array) as an argument, when that sequence is invalid.
InvalidValue |
TypeMismatch | TypeMismatch is thrown by dynamic any accessor methods when type of the actual contents do not match what is trying to be accessed.

## Package org.omg.CORBA.DynAnyPackage Description

Provides the exceptions used with the `DynAny` interface (`InvalidValue`, `Invalid`, `InvalidSeq`, and `TypeMismatch`).

Since:
  JDK1.2

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.